<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Frameset//EN""http://www.w3.org/TR/REC-html40/frameset.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc on Wed Feb 23 15:53:22 PST 2005 -->
<TITLE>
: Interface  ConstraintDefinition
</TITLE>
<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../../../../stylesheet.css" TITLE="Style">
</HEAD>
<BODY BGCOLOR="white">

<!-- ========== START OF NAVBAR ========== -->
<A NAME="navbar_top"><!-- --></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/ConstraintDefinition.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ColumnDefinition.html"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/DatabaseDefinitionFactory.html"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../../../index.html" TARGET="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="ConstraintDefinition.html" TARGET="_top"><B>NO FRAMES</B></A></FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY: &nbsp;INNER&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL: &nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<!-- =========== END OF NAVBAR =========== -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
org.eclipse.wst.rdb.internal.models.dbdefinition</FONT>
<BR>
Interface  ConstraintDefinition</H2>
<DL>
<DT><B>All Superinterfaces:</B> <DD>org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier</DD>
</DL>
<DL>
<DT><B>All Known Implementing Classes:</B> <DD><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/impl/ConstraintDefinitionImpl.html">ConstraintDefinitionImpl</A></DD>
</DL>
<HR>
<DL>
<DT>public interface <B>ConstraintDefinition</B><DT>extends org.eclipse.emf.ecore.EObject</DL>

<P>
<!-- begin-user-doc -->
 A representation of the model object '<em><b>Constraint Definition</b></em>'.
 <!-- end-user-doc -->

 <p>
 The following features are supported:
 <ul>
   <li><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ConstraintDefinition.html#isDeferrableConstraintSupported()"><CODE><em>Deferrable Constraint Supported</em></CODE></A></li>
   <li><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ConstraintDefinition.html#isInformationalConstraintSupported()"><CODE><em>Informational Constraint Supported</em></CODE></A></li>
   <li><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ConstraintDefinition.html#isClusteredPrimaryKeySupported()"><CODE><em>Clustered Primary Key Supported</em></CODE></A></li>
   <li><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ConstraintDefinition.html#isClusteredUniqueConstraintSupported()"><CODE><em>Clustered Unique Constraint Supported</em></CODE></A></li>
   <li><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ConstraintDefinition.html#isPrimaryKeyNullable()"><CODE><em>Primary Key Nullable</em></CODE></A></li>
   <li><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ConstraintDefinition.html#isUniqueKeyNullable()"><CODE><em>Unique Key Nullable</em></CODE></A></li>
   <li><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ConstraintDefinition.html#getMaximumCheckExpressionLength()"><CODE><em>Maximum Check Expression Length</em></CODE></A></li>
   <li><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ConstraintDefinition.html#getParentUpdateDRIRuleType()"><CODE><em>Parent Update DRI Rule Type</em></CODE></A></li>
   <li><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ConstraintDefinition.html#getParentDeleteDRIRuleType()"><CODE><em>Parent Delete DRI Rule Type</em></CODE></A></li>
   <li><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ConstraintDefinition.html#getCheckOption()"><CODE><em>Check Option</em></CODE></A></li>
 </ul>
 </p>
<P>
<DL>
<DT><B>See Also: </B><DD><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/DatabaseDefinitionPackage.html#getConstraintDefinition()"><CODE>DatabaseDefinitionPackage.getConstraintDefinition()</CODE></A></DL>
<HR>

<P>
<!-- ======== INNER CLASS SUMMARY ======== -->


<!-- =========== FIELD SUMMARY =========== -->


<!-- ======== CONSTRUCTOR SUMMARY ======== -->


<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TD COLSPAN=2><FONT SIZE="+2">
<B>Method Summary</B></FONT></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;org.eclipse.emf.common.util.EList</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ConstraintDefinition.html#getCheckOption()">getCheckOption</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the value of the '<em><b>Check Option</b></em>' attribute list.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ConstraintDefinition.html#getMaximumCheckExpressionLength()">getMaximumCheckExpressionLength</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the value of the '<em><b>Maximum Check Expression Length</b></em>' attribute.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;org.eclipse.emf.common.util.EList</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ConstraintDefinition.html#getParentDeleteDRIRuleType()">getParentDeleteDRIRuleType</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the value of the '<em><b>Parent Delete DRI Rule Type</b></em>' attribute list.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;org.eclipse.emf.common.util.EList</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ConstraintDefinition.html#getParentUpdateDRIRuleType()">getParentUpdateDRIRuleType</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the value of the '<em><b>Parent Update DRI Rule Type</b></em>' attribute list.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ConstraintDefinition.html#isClusteredPrimaryKeySupported()">isClusteredPrimaryKeySupported</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the value of the '<em><b>Clustered Primary Key Supported</b></em>' attribute.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ConstraintDefinition.html#isClusteredUniqueConstraintSupported()">isClusteredUniqueConstraintSupported</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the value of the '<em><b>Clustered Unique Constraint Supported</b></em>' attribute.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ConstraintDefinition.html#isDeferrableConstraintSupported()">isDeferrableConstraintSupported</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the value of the '<em><b>Deferrable Constraint Supported</b></em>' attribute.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ConstraintDefinition.html#isInformationalConstraintSupported()">isInformationalConstraintSupported</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the value of the '<em><b>Informational Constraint Supported</b></em>' attribute.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ConstraintDefinition.html#isPrimaryKeyNullable()">isPrimaryKeyNullable</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the value of the '<em><b>Primary Key Nullable</b></em>' attribute.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ConstraintDefinition.html#isUniqueKeyNullable()">isUniqueKeyNullable</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the value of the '<em><b>Unique Key Nullable</b></em>' attribute.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ConstraintDefinition.html#setClusteredPrimaryKeySupported(boolean)">setClusteredPrimaryKeySupported</A></B>(boolean&nbsp;value)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Sets the value of the '<A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ConstraintDefinition.html#isClusteredPrimaryKeySupported()"><CODE><em>Clustered Primary Key Supported</em></CODE></A>' attribute.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ConstraintDefinition.html#setClusteredUniqueConstraintSupported(boolean)">setClusteredUniqueConstraintSupported</A></B>(boolean&nbsp;value)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Sets the value of the '<A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ConstraintDefinition.html#isClusteredUniqueConstraintSupported()"><CODE><em>Clustered Unique Constraint Supported</em></CODE></A>' attribute.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ConstraintDefinition.html#setDeferrableConstraintSupported(boolean)">setDeferrableConstraintSupported</A></B>(boolean&nbsp;value)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Sets the value of the '<A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ConstraintDefinition.html#isDeferrableConstraintSupported()"><CODE><em>Deferrable Constraint Supported</em></CODE></A>' attribute.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ConstraintDefinition.html#setInformationalConstraintSupported(boolean)">setInformationalConstraintSupported</A></B>(boolean&nbsp;value)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Sets the value of the '<A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ConstraintDefinition.html#isInformationalConstraintSupported()"><CODE><em>Informational Constraint Supported</em></CODE></A>' attribute.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ConstraintDefinition.html#setMaximumCheckExpressionLength(int)">setMaximumCheckExpressionLength</A></B>(int&nbsp;value)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Sets the value of the '<A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ConstraintDefinition.html#getMaximumCheckExpressionLength()"><CODE><em>Maximum Check Expression Length</em></CODE></A>' attribute.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ConstraintDefinition.html#setPrimaryKeyNullable(boolean)">setPrimaryKeyNullable</A></B>(boolean&nbsp;value)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Sets the value of the '<A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ConstraintDefinition.html#isPrimaryKeyNullable()"><CODE><em>Primary Key Nullable</em></CODE></A>' attribute.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ConstraintDefinition.html#setUniqueKeyNullable(boolean)">setUniqueKeyNullable</A></B>(boolean&nbsp;value)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Sets the value of the '<A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ConstraintDefinition.html#isUniqueKeyNullable()"><CODE><em>Unique Key Nullable</em></CODE></A>' attribute.</TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.eclipse.emf.ecore.EObject"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Methods inherited from interface org.eclipse.emf.ecore.EObject</B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.eclipse.emf.common.notify.Notifier"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Methods inherited from interface org.eclipse.emf.common.notify.Notifier</B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>eAdapters, eDeliver, eNotify, eSetDeliver</CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ============ FIELD DETAIL =========== -->


<!-- ========= CONSTRUCTOR DETAIL ======== -->


<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TD COLSPAN=1><FONT SIZE="+2">
<B>Method Detail</B></FONT></TD>
</TR>
</TABLE>

<A NAME="isDeferrableConstraintSupported()"><!-- --></A><H3>
isDeferrableConstraintSupported</H3>
<PRE>
public boolean <B>isDeferrableConstraintSupported</B>()</PRE>
<DL>
<DD>Returns the value of the '<em><b>Deferrable Constraint Supported</b></em>' attribute.
 <!-- begin-user-doc -->
 <p>
 If the meaning of the '<em>Deferrable Constraint Supported</em>' attribute isn't clear,
 there really should be more of a description here...
 </p>
 <!-- end-user-doc --><DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Returns:</B><DD>the value of the '<em>Deferrable Constraint Supported</em>' attribute.<DT><B>See Also: </B><DD><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ConstraintDefinition.html#setDeferrableConstraintSupported(boolean)"><CODE>setDeferrableConstraintSupported(boolean)</CODE></A>, 
<A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/DatabaseDefinitionPackage.html#getConstraintDefinition_DeferrableConstraintSupported()"><CODE>DatabaseDefinitionPackage.getConstraintDefinition_DeferrableConstraintSupported()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="setDeferrableConstraintSupported(boolean)"><!-- --></A><H3>
setDeferrableConstraintSupported</H3>
<PRE>
public void <B>setDeferrableConstraintSupported</B>(boolean&nbsp;value)</PRE>
<DL>
<DD>Sets the value of the '<A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ConstraintDefinition.html#isDeferrableConstraintSupported()"><CODE><em>Deferrable Constraint Supported</em></CODE></A>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>value</CODE> - the new value of the '<em>Deferrable Constraint Supported</em>' attribute.<DT><B>See Also: </B><DD><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ConstraintDefinition.html#isDeferrableConstraintSupported()"><CODE>isDeferrableConstraintSupported()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="isInformationalConstraintSupported()"><!-- --></A><H3>
isInformationalConstraintSupported</H3>
<PRE>
public boolean <B>isInformationalConstraintSupported</B>()</PRE>
<DL>
<DD>Returns the value of the '<em><b>Informational Constraint Supported</b></em>' attribute.
 <!-- begin-user-doc -->
 <p>
 If the meaning of the '<em>Informational Constraint Supported</em>' attribute isn't clear,
 there really should be more of a description here...
 </p>
 <!-- end-user-doc --><DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Returns:</B><DD>the value of the '<em>Informational Constraint Supported</em>' attribute.<DT><B>See Also: </B><DD><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ConstraintDefinition.html#setInformationalConstraintSupported(boolean)"><CODE>setInformationalConstraintSupported(boolean)</CODE></A>, 
<A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/DatabaseDefinitionPackage.html#getConstraintDefinition_InformationalConstraintSupported()"><CODE>DatabaseDefinitionPackage.getConstraintDefinition_InformationalConstraintSupported()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="setInformationalConstraintSupported(boolean)"><!-- --></A><H3>
setInformationalConstraintSupported</H3>
<PRE>
public void <B>setInformationalConstraintSupported</B>(boolean&nbsp;value)</PRE>
<DL>
<DD>Sets the value of the '<A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ConstraintDefinition.html#isInformationalConstraintSupported()"><CODE><em>Informational Constraint Supported</em></CODE></A>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>value</CODE> - the new value of the '<em>Informational Constraint Supported</em>' attribute.<DT><B>See Also: </B><DD><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ConstraintDefinition.html#isInformationalConstraintSupported()"><CODE>isInformationalConstraintSupported()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="isClusteredPrimaryKeySupported()"><!-- --></A><H3>
isClusteredPrimaryKeySupported</H3>
<PRE>
public boolean <B>isClusteredPrimaryKeySupported</B>()</PRE>
<DL>
<DD>Returns the value of the '<em><b>Clustered Primary Key Supported</b></em>' attribute.
 <!-- begin-user-doc -->
 <p>
 If the meaning of the '<em>Clustered Primary Key Supported</em>' attribute isn't clear,
 there really should be more of a description here...
 </p>
 <!-- end-user-doc --><DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Returns:</B><DD>the value of the '<em>Clustered Primary Key Supported</em>' attribute.<DT><B>See Also: </B><DD><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ConstraintDefinition.html#setClusteredPrimaryKeySupported(boolean)"><CODE>setClusteredPrimaryKeySupported(boolean)</CODE></A>, 
<A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/DatabaseDefinitionPackage.html#getConstraintDefinition_ClusteredPrimaryKeySupported()"><CODE>DatabaseDefinitionPackage.getConstraintDefinition_ClusteredPrimaryKeySupported()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="setClusteredPrimaryKeySupported(boolean)"><!-- --></A><H3>
setClusteredPrimaryKeySupported</H3>
<PRE>
public void <B>setClusteredPrimaryKeySupported</B>(boolean&nbsp;value)</PRE>
<DL>
<DD>Sets the value of the '<A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ConstraintDefinition.html#isClusteredPrimaryKeySupported()"><CODE><em>Clustered Primary Key Supported</em></CODE></A>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>value</CODE> - the new value of the '<em>Clustered Primary Key Supported</em>' attribute.<DT><B>See Also: </B><DD><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ConstraintDefinition.html#isClusteredPrimaryKeySupported()"><CODE>isClusteredPrimaryKeySupported()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="isClusteredUniqueConstraintSupported()"><!-- --></A><H3>
isClusteredUniqueConstraintSupported</H3>
<PRE>
public boolean <B>isClusteredUniqueConstraintSupported</B>()</PRE>
<DL>
<DD>Returns the value of the '<em><b>Clustered Unique Constraint Supported</b></em>' attribute.
 <!-- begin-user-doc -->
 <p>
 If the meaning of the '<em>Clustered Unique Constraint Supported</em>' attribute isn't clear,
 there really should be more of a description here...
 </p>
 <!-- end-user-doc --><DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Returns:</B><DD>the value of the '<em>Clustered Unique Constraint Supported</em>' attribute.<DT><B>See Also: </B><DD><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ConstraintDefinition.html#setClusteredUniqueConstraintSupported(boolean)"><CODE>setClusteredUniqueConstraintSupported(boolean)</CODE></A>, 
<A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/DatabaseDefinitionPackage.html#getConstraintDefinition_ClusteredUniqueConstraintSupported()"><CODE>DatabaseDefinitionPackage.getConstraintDefinition_ClusteredUniqueConstraintSupported()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="setClusteredUniqueConstraintSupported(boolean)"><!-- --></A><H3>
setClusteredUniqueConstraintSupported</H3>
<PRE>
public void <B>setClusteredUniqueConstraintSupported</B>(boolean&nbsp;value)</PRE>
<DL>
<DD>Sets the value of the '<A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ConstraintDefinition.html#isClusteredUniqueConstraintSupported()"><CODE><em>Clustered Unique Constraint Supported</em></CODE></A>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>value</CODE> - the new value of the '<em>Clustered Unique Constraint Supported</em>' attribute.<DT><B>See Also: </B><DD><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ConstraintDefinition.html#isClusteredUniqueConstraintSupported()"><CODE>isClusteredUniqueConstraintSupported()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="isPrimaryKeyNullable()"><!-- --></A><H3>
isPrimaryKeyNullable</H3>
<PRE>
public boolean <B>isPrimaryKeyNullable</B>()</PRE>
<DL>
<DD>Returns the value of the '<em><b>Primary Key Nullable</b></em>' attribute.
 <!-- begin-user-doc -->
 <p>
 If the meaning of the '<em>Primary Key Nullable</em>' attribute isn't clear,
 there really should be more of a description here...
 </p>
 <!-- end-user-doc --><DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Returns:</B><DD>the value of the '<em>Primary Key Nullable</em>' attribute.<DT><B>See Also: </B><DD><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ConstraintDefinition.html#setPrimaryKeyNullable(boolean)"><CODE>setPrimaryKeyNullable(boolean)</CODE></A>, 
<A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/DatabaseDefinitionPackage.html#getConstraintDefinition_PrimaryKeyNullable()"><CODE>DatabaseDefinitionPackage.getConstraintDefinition_PrimaryKeyNullable()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="setPrimaryKeyNullable(boolean)"><!-- --></A><H3>
setPrimaryKeyNullable</H3>
<PRE>
public void <B>setPrimaryKeyNullable</B>(boolean&nbsp;value)</PRE>
<DL>
<DD>Sets the value of the '<A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ConstraintDefinition.html#isPrimaryKeyNullable()"><CODE><em>Primary Key Nullable</em></CODE></A>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>value</CODE> - the new value of the '<em>Primary Key Nullable</em>' attribute.<DT><B>See Also: </B><DD><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ConstraintDefinition.html#isPrimaryKeyNullable()"><CODE>isPrimaryKeyNullable()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="isUniqueKeyNullable()"><!-- --></A><H3>
isUniqueKeyNullable</H3>
<PRE>
public boolean <B>isUniqueKeyNullable</B>()</PRE>
<DL>
<DD>Returns the value of the '<em><b>Unique Key Nullable</b></em>' attribute.
 <!-- begin-user-doc -->
 <p>
 If the meaning of the '<em>Unique Key Nullable</em>' attribute isn't clear,
 there really should be more of a description here...
 </p>
 <!-- end-user-doc --><DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Returns:</B><DD>the value of the '<em>Unique Key Nullable</em>' attribute.<DT><B>See Also: </B><DD><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ConstraintDefinition.html#setUniqueKeyNullable(boolean)"><CODE>setUniqueKeyNullable(boolean)</CODE></A>, 
<A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/DatabaseDefinitionPackage.html#getConstraintDefinition_UniqueKeyNullable()"><CODE>DatabaseDefinitionPackage.getConstraintDefinition_UniqueKeyNullable()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="setUniqueKeyNullable(boolean)"><!-- --></A><H3>
setUniqueKeyNullable</H3>
<PRE>
public void <B>setUniqueKeyNullable</B>(boolean&nbsp;value)</PRE>
<DL>
<DD>Sets the value of the '<A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ConstraintDefinition.html#isUniqueKeyNullable()"><CODE><em>Unique Key Nullable</em></CODE></A>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>value</CODE> - the new value of the '<em>Unique Key Nullable</em>' attribute.<DT><B>See Also: </B><DD><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ConstraintDefinition.html#isUniqueKeyNullable()"><CODE>isUniqueKeyNullable()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="getMaximumCheckExpressionLength()"><!-- --></A><H3>
getMaximumCheckExpressionLength</H3>
<PRE>
public int <B>getMaximumCheckExpressionLength</B>()</PRE>
<DL>
<DD>Returns the value of the '<em><b>Maximum Check Expression Length</b></em>' attribute.
 <!-- begin-user-doc -->
 <p>
 If the meaning of the '<em>Maximum Check Expression Length</em>' attribute isn't clear,
 there really should be more of a description here...
 </p>
 <!-- end-user-doc --><DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Returns:</B><DD>the value of the '<em>Maximum Check Expression Length</em>' attribute.<DT><B>See Also: </B><DD><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ConstraintDefinition.html#setMaximumCheckExpressionLength(int)"><CODE>setMaximumCheckExpressionLength(int)</CODE></A>, 
<A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/DatabaseDefinitionPackage.html#getConstraintDefinition_MaximumCheckExpressionLength()"><CODE>DatabaseDefinitionPackage.getConstraintDefinition_MaximumCheckExpressionLength()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="setMaximumCheckExpressionLength(int)"><!-- --></A><H3>
setMaximumCheckExpressionLength</H3>
<PRE>
public void <B>setMaximumCheckExpressionLength</B>(int&nbsp;value)</PRE>
<DL>
<DD>Sets the value of the '<A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ConstraintDefinition.html#getMaximumCheckExpressionLength()"><CODE><em>Maximum Check Expression Length</em></CODE></A>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>value</CODE> - the new value of the '<em>Maximum Check Expression Length</em>' attribute.<DT><B>See Also: </B><DD><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ConstraintDefinition.html#getMaximumCheckExpressionLength()"><CODE>getMaximumCheckExpressionLength()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="getParentUpdateDRIRuleType()"><!-- --></A><H3>
getParentUpdateDRIRuleType</H3>
<PRE>
public org.eclipse.emf.common.util.EList <B>getParentUpdateDRIRuleType</B>()</PRE>
<DL>
<DD>Returns the value of the '<em><b>Parent Update DRI Rule Type</b></em>' attribute list.
 The list contents are of type <A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ParentUpdateDRIRuleType.html"><CODE>ParentUpdateDRIRuleType</CODE></A>.
 The literals are from the enumeration <A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ParentUpdateDRIRuleType.html"><CODE>ParentUpdateDRIRuleType</CODE></A>.
 <!-- begin-user-doc -->
 <p>
 If the meaning of the '<em>Parent Update DRI Rule Type</em>' attribute list isn't clear,
 there really should be more of a description here...
 </p>
 <!-- end-user-doc --><DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Returns:</B><DD>the value of the '<em>Parent Update DRI Rule Type</em>' attribute list.<DT><B>See Also: </B><DD><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ParentUpdateDRIRuleType.html"><CODE>ParentUpdateDRIRuleType</CODE></A>, 
<A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/DatabaseDefinitionPackage.html#getConstraintDefinition_ParentUpdateDRIRuleType()"><CODE>DatabaseDefinitionPackage.getConstraintDefinition_ParentUpdateDRIRuleType()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="getParentDeleteDRIRuleType()"><!-- --></A><H3>
getParentDeleteDRIRuleType</H3>
<PRE>
public org.eclipse.emf.common.util.EList <B>getParentDeleteDRIRuleType</B>()</PRE>
<DL>
<DD>Returns the value of the '<em><b>Parent Delete DRI Rule Type</b></em>' attribute list.
 The list contents are of type <A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ParentDeleteDRIRuleType.html"><CODE>ParentDeleteDRIRuleType</CODE></A>.
 The literals are from the enumeration <A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ParentDeleteDRIRuleType.html"><CODE>ParentDeleteDRIRuleType</CODE></A>.
 <!-- begin-user-doc -->
 <p>
 If the meaning of the '<em>Parent Delete DRI Rule Type</em>' attribute list isn't clear,
 there really should be more of a description here...
 </p>
 <!-- end-user-doc --><DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Returns:</B><DD>the value of the '<em>Parent Delete DRI Rule Type</em>' attribute list.<DT><B>See Also: </B><DD><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ParentDeleteDRIRuleType.html"><CODE>ParentDeleteDRIRuleType</CODE></A>, 
<A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/DatabaseDefinitionPackage.html#getConstraintDefinition_ParentDeleteDRIRuleType()"><CODE>DatabaseDefinitionPackage.getConstraintDefinition_ParentDeleteDRIRuleType()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="getCheckOption()"><!-- --></A><H3>
getCheckOption</H3>
<PRE>
public org.eclipse.emf.common.util.EList <B>getCheckOption</B>()</PRE>
<DL>
<DD>Returns the value of the '<em><b>Check Option</b></em>' attribute list.
 The list contents are of type <A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/CheckOption.html"><CODE>CheckOption</CODE></A>.
 The literals are from the enumeration <A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/CheckOption.html"><CODE>CheckOption</CODE></A>.
 <!-- begin-user-doc -->
 <p>
 If the meaning of the '<em>Check Option</em>' attribute list isn't clear,
 there really should be more of a description here...
 </p>
 <!-- end-user-doc --><DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Returns:</B><DD>the value of the '<em>Check Option</em>' attribute list.<DT><B>See Also: </B><DD><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/CheckOption.html"><CODE>CheckOption</CODE></A>, 
<A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/DatabaseDefinitionPackage.html#getConstraintDefinition_CheckOption()"><CODE>DatabaseDefinitionPackage.getConstraintDefinition_CheckOption()</CODE></A></DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>

<!-- ========== START OF NAVBAR ========== -->
<A NAME="navbar_bottom"><!-- --></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/ConstraintDefinition.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ColumnDefinition.html"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/DatabaseDefinitionFactory.html"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../../../index.html" TARGET="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="ConstraintDefinition.html" TARGET="_top"><B>NO FRAMES</B></A></FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY: &nbsp;INNER&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL: &nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<!-- =========== END OF NAVBAR =========== -->

<HR>

</BODY>
</HTML>
